## CPU-profiling
Assumed is that the this git repo is cloned in the home directory.

### Running influx
ssh to pg-node045 and run the influxdb container (see "run" in that directory), then start the container with singularity. The configuration file is mapped to the appropriate location in the container, as is a location for the database storage. For now we store the data at $HOME/influx_db. Make sure that the directory exists. 
Once in the container a database (with the name slurm) can be set up if necessary:
```
curl -POST http://pg-node045:8086/query?pretty=true --data-urlencode "q=CREATE DATABASE slurm WITH NAME \"default\""
```
Note that the retention policy is set to default and still needs to be configured eventually.
To start the influxDB, run:
```
influxd -config  /etc/influxdb/influxdb.conf
```

### Running Graphana
Similarly, (after ssh pg-node045) go to the graphana_s folder and check out the "run" file in that directory. Probably running ./run will start a container session.
Running the following will start a server:
```
grafana-server -homepath /usr/share/grafana/
```

### Testing
On the login node (or interactive with the -X option) you should be able to go browse http://pg-node045:3000. There you'll need to add a datasource. Some required options are:

Type: influxDB

Url: http://pg-node045:8086

Database: slurm

Once this is setup, we can start making Dashboards.